For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get Micro Deposit Data

Get micro deposits data for US virtual accounts.

  • This endpoint is used to fetch micro deposit data.

    • Currently applicable only for users in the United States (US).

  • US ONRAMP FLOW

    • A customer’s bank may require them to complete microdeposit verification before allowing them to send funds to their Virtual Account. This process consists of the bank sending some small test transactions to the account then requesting the customer verify those amounts.

      • This process is typically required before a customer can send funds from their personal bank account. If your customer receives funds from businesses they may never encounter this process.

      • Microdeposit funds are never onramped.

      • Microdeposits are only supported for Virtual Account numbers.

Get Bank Details for onramp transaction.

GET http://api.onramp.money/onramp/api/v2/whiteLabel/bank/microDeposit

Request Params

Name
Type
Description

customerId*

String

Unique User Id received from /kyc/url

fiatType*

Integer

var CryptoJS = require('crypto-js');
var axios = require('axios');

async function getMicroDeposit({customerId,fiatType}) {
  try {
    let body = {
    }
    let payload = {
      timestamp: new Date().getTime(),
      body
    }
    const apiKey = ""; //Replace with your apiKey
    const apiSecret = ""; //Replace with your apiSecret
    payload = Buffer.from(JSON.stringify(payload)).toString('base64');
    let signature = CryptoJS.enc.Hex.stringify(CryptoJS.HmacSHA512(payload, apiSecret));
   
   let options = {
      url: `https://api.onramp.money/onramp/api/v2/whiteLabel/bank/microDeposit?customerId=${customerId}&fiatType=${fiatType}`,
      method: 'GET',
      headers: {
        'Accept': 'application/json',
        'Content-Type': 'application/json;charset=UTF-8',
        'X-ONRAMP-SIGNATURE': signature,
        'X-ONRAMP-APIKEY': apiKey,
        'X-ONRAMP-PAYLOAD': payload
      }
    };
    
    let data = await axios(options);
    console.log(JSON.stringify(data?.data, null, 2));
    return data?.data;
  } catch (error) {
    console.log(error?.response?.data || error?.response || error)
  }
}

getMicroDeposit({customerId:sdbjsd_2,fiatType:21}); // dummy values

  • status -> 0 is for unsuccessful request, 1 is for a successful one.

  • code: HTTP-like status code, here 200 indicates a successful response.

  • data -> An object containing micro deposit entries grouped by date (in YYYY-MM-DD format).

Last updated